<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::UnaryExpr&lt; LhsT &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1UnaryExpr.html">UnaryExpr</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1UnaryExpr-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::UnaryExpr&lt; LhsT &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::UnaryExpr&lt; LhsT &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1UnaryExpr__inherit__graph.png" border="0" usemap="#Catch_1_1UnaryExpr_3_01LhsT_01_4_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1UnaryExpr_3_01LhsT_01_4_inherit__map" id="Catch_1_1UnaryExpr_3_01LhsT_01_4_inherit__map">
<area shape="rect" title=" " alt="" coords="9,80,203,107"/>
<area shape="rect" href="structCatch_1_1ITransientExpression.html" title=" " alt="" coords="5,5,207,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::UnaryExpr&lt; LhsT &gt;:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1UnaryExpr__coll__graph.png" border="0" usemap="#Catch_1_1UnaryExpr_3_01LhsT_01_4_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1UnaryExpr_3_01LhsT_01_4_coll__map" id="Catch_1_1UnaryExpr_3_01LhsT_01_4_coll__map">
<area shape="rect" title=" " alt="" coords="9,80,203,107"/>
<area shape="rect" href="structCatch_1_1ITransientExpression.html" title=" " alt="" coords="5,5,207,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae02f666a1e64da728628aa2033e1d6e7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1UnaryExpr.html#ae02f666a1e64da728628aa2033e1d6e7">UnaryExpr</a> (LhsT lhs)</td></tr>
<tr class="separator:ae02f666a1e64da728628aa2033e1d6e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae02f666a1e64da728628aa2033e1d6e7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1UnaryExpr.html#ae02f666a1e64da728628aa2033e1d6e7">UnaryExpr</a> (LhsT lhs)</td></tr>
<tr class="separator:ae02f666a1e64da728628aa2033e1d6e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structCatch_1_1ITransientExpression"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structCatch_1_1ITransientExpression')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td></tr>
<tr class="memitem:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a> () const -&gt; bool</td></tr>
<tr class="separator:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a> () const -&gt; bool</td></tr>
<tr class="separator:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a> (bool <a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>, bool result)</td></tr>
<tr class="separator:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a> ()</td></tr>
<tr class="separator:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a> () const -&gt; bool</td></tr>
<tr class="separator:a3b436e13a0a6d3522bbf70d4e31deb22 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a101c7db86c87eff93a8ff496720e6320">getResult</a> () const -&gt; bool</td></tr>
<tr class="separator:a101c7db86c87eff93a8ff496720e6320 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aafe69572b7ed884e63ec81f58d4afd8c">ITransientExpression</a> (bool <a class="el" href="structCatch_1_1ITransientExpression.html#a3b436e13a0a6d3522bbf70d4e31deb22">isBinaryExpression</a>, bool result)</td></tr>
<tr class="separator:aafe69572b7ed884e63ec81f58d4afd8c inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#aeadf426de589938c4964fe4068eeee77">~ITransientExpression</a> ()</td></tr>
<tr class="separator:aeadf426de589938c4964fe4068eeee77 inherit pub_methods_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aaabf30455a996c80675c0f388a6e4110"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1UnaryExpr.html#aaabf30455a996c80675c0f388a6e4110">streamReconstructedExpression</a> (std::ostream &amp;os) const override</td></tr>
<tr class="separator:aaabf30455a996c80675c0f388a6e4110"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaabf30455a996c80675c0f388a6e4110"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1UnaryExpr.html#aaabf30455a996c80675c0f388a6e4110">streamReconstructedExpression</a> (std::ostream &amp;os) const override</td></tr>
<tr class="separator:aaabf30455a996c80675c0f388a6e4110"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7b6e97e576377dd60c77ab551a180325"><td class="memItemLeft" align="right" valign="top">LhsT&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1UnaryExpr.html#a7b6e97e576377dd60c77ab551a180325">m_lhs</a></td></tr>
<tr class="separator:a7b6e97e576377dd60c77ab551a180325"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_attribs_structCatch_1_1ITransientExpression"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_structCatch_1_1ITransientExpression')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="structCatch_1_1ITransientExpression.html">Catch::ITransientExpression</a></td></tr>
<tr class="memitem:a75ce48da824d514d08152d396abb28d8 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a75ce48da824d514d08152d396abb28d8">m_isBinaryExpression</a></td></tr>
<tr class="separator:a75ce48da824d514d08152d396abb28d8 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4646e2b5e0156e913653ec3b9b60c942 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1ITransientExpression.html#a4646e2b5e0156e913653ec3b9b60c942">m_result</a></td></tr>
<tr class="separator:a4646e2b5e0156e913653ec3b9b60c942 inherit pub_attribs_structCatch_1_1ITransientExpression"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae02f666a1e64da728628aa2033e1d6e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae02f666a1e64da728628aa2033e1d6e7">&#9670;&nbsp;</a></span>UnaryExpr() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1UnaryExpr.html">Catch::UnaryExpr</a>&lt; LhsT &gt;::<a class="el" href="classCatch_1_1UnaryExpr.html">UnaryExpr</a> </td>
          <td>(</td>
          <td class="paramtype">LhsT&#160;</td>
          <td class="paramname"><em>lhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae02f666a1e64da728628aa2033e1d6e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae02f666a1e64da728628aa2033e1d6e7">&#9670;&nbsp;</a></span>UnaryExpr() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classCatch_1_1UnaryExpr.html">Catch::UnaryExpr</a>&lt; LhsT &gt;::<a class="el" href="classCatch_1_1UnaryExpr.html">UnaryExpr</a> </td>
          <td>(</td>
          <td class="paramtype">LhsT&#160;</td>
          <td class="paramname"><em>lhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aaabf30455a996c80675c0f388a6e4110"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaabf30455a996c80675c0f388a6e4110">&#9670;&nbsp;</a></span>streamReconstructedExpression() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1UnaryExpr.html">Catch::UnaryExpr</a>&lt; LhsT &gt;::streamReconstructedExpression </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">Catch::ITransientExpression</a>.</p>

</div>
</div>
<a id="aaabf30455a996c80675c0f388a6e4110"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaabf30455a996c80675c0f388a6e4110">&#9670;&nbsp;</a></span>streamReconstructedExpression() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classCatch_1_1UnaryExpr.html">Catch::UnaryExpr</a>&lt; LhsT &gt;::streamReconstructedExpression </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>os</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">private</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="structCatch_1_1ITransientExpression.html#aabe1889df9c6e639a24afb08d8a0fe9e">Catch::ITransientExpression</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7b6e97e576377dd60c77ab551a180325"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b6e97e576377dd60c77ab551a180325">&#9670;&nbsp;</a></span>m_lhs</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename LhsT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">LhsT <a class="el" href="classCatch_1_1UnaryExpr.html">Catch::UnaryExpr</a>&lt; LhsT &gt;::m_lhs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
